Starmade | beams have trouble hitting ships at extreme ranges
Resolved, needs quality check / confirm fix, UrgentPublic

Description

While testing beams I noticed they would often pass right though or partially through my target. With the increased beam ranges in .1792 this is even more apparent. It seems the farther away I get the less likely I am to actually hit.

Sometimes it hits deeper inside the ship, bypassing the exterior or sometimes it just goes through it completely.

This issue makes beams unreliable.

(old) youtube video: http://youtu.be/E9BwkOXeIew

Details

Commits
Restricted Diffusion Commit
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19551 (Dev)
Issue Type
Bug
Category
Control Block System: Weapons
First occurrence (version)
0.1792 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Tester information (Internal use only)

2 issues remaining for beams.

The things mentioned below is for testing in the *same sector* with *unfocused* beams
When I rotated my target 45 degrees, it seemed to behave differently:

  • The piercing effect doesn't start from the correct position, seems that the position it start from is not properly rotated with the ship direction and keeps using the sector alignment.

  • Beams still hit even if your circle is white but when it is white, it won't apply the standalone piercing effect. so instead of killing 20-30 blocks in my case, I killed 5 (1 for each tick).

The circle itself seems to turn white from time to time and heavily depends on range and thickness of target. That's probably better for another task though.

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Jun 9 2015, 7:54 AM
lancake changed Category from none/unspecified to Control Block System: Weapons.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.1792 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19247 (Dev).
lancake edited a custom field.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptJun 9 2015, 7:54 AM

Possibly has something to do with sector borders:

http://i.imgur.com/VHBn1ch.jpg

lancake changed the task status from "Open" to "In Queue (Game)".Jun 10 2015, 9:27 AM
schema added a subscriber: schema.Jun 11 2015, 11:00 PM
In T91#1877, @SpaceKing wrote:

Possibly has something to do with sector borders:

http://i.imgur.com/VHBn1ch.jpg

yeah, its very likely that

schema changed the task status from "In Queue (Game)" to "Resolved" by committing Restricted Diffusion Commit.Jul 9 2015, 5:09 AM
lancake changed the task status from "Resolved" to "In Queue (Game)".EditedJul 9 2015, 6:54 PM

Not fixed:

  • At some distances, my beam + cannon array (with 1000 meter range) managed to hit 35 blocks deeper, this distance was roughly 750 meters and I could reproduce. The beams bypassed external armor
  • Cross sector beams don't seem to deal any damage, you do get the usual performance drop from hitting an entity though so perhaps it does hit properly. (this might work from different angles, not sure...was tested in C-aligned ships)
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:32 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptAug 11 2015, 10:32 PM
33Cav added a subscriber: 33Cav.Aug 29 2015, 12:56 PM
In T91#2683, @schema wrote:
In T91#1877, @SpaceKing wrote:

Possibly has something to do with sector borders:

http://i.imgur.com/VHBn1ch.jpg

yeah, its very likely that

Issue is not to do with sector borders per se, that seems to be another issue entirely. On the server I play on we use 10km edge to edge sectors, giving beam slaved to beam approximately 15km range. However it is nearly impossible to hit stationary targets beyond 2-2.5km.

lancake raised the priority of this task from "High" to "Urgent".Sep 10 2015, 10:19 PM

Increasing priority, makes the beams useless.

I can also weigh in by saying my experiences:

Damage Beams seem to ONLY HIT when the GREEN CIRCLE is showing, Its exceedingly rare Beams will hit without that green "Aimed at Ship" marker on screen, and will rather commonly decide to deal completely nothing even with a green circle.

I Have lots of experience in medium and large-ish ship combat, and on the larger ships you can clearly be looking at something like centre-mass of a giant cube, yet there is no green circle, and thus, the Beam will not deal damage.

Hope this helps somewhat?

-QA Testing-
It helps but your information seems to be slightly incorrect.

2 issues remaining for beams.

The things mentioned below is for testing in the *same sector* with *unfocused* beams
When I rotated my target 45 degrees, it seemed to behave differently:

  • The piercing effect doesn't start from the correct position, seems that the position it start from is not properly rotated with the ship direction and keeps using the sector alignment.

  • Beams still hit even if your circle is white but when it is white, it won't apply the standalone piercing effect. so instead of killing 20-30 blocks in my case, I killed 5 (1 for each tick).

The circle itself seems to turn white from time to time and heavily depends on range and thickness of target. That's probably better for another task though.

lancake changed Last tested (version) from 0.19247 (Dev) to 0.19435 (Dev).Sep 14 2015, 1:06 PM
In T91#23663, @lancake wrote:

-QA Testing-
It helps but your information seems to be slightly incorrect.

2 issues remaining for beams.

The things mentioned below is for testing in the *same sector* with *unfocused* beams
When I rotated my target 45 degrees, it seemed to behave differently:

  • The piercing effect doesn't start from the correct position, seems that the position it start from is not properly rotated with the ship direction and keeps using the sector alignment.
  • Beams still hit even if your circle is white but when it is white, it won't apply the standalone piercing effect. so instead of killing 20-30 blocks in my case, I killed 5 (1 for each tick).

    The circle itself seems to turn white from time to time and heavily depends on range and thickness of target. That's probably better for another task though.

Can I assume that my 15km range beams will be able to shoot out to 15km and hit a target? (Beam slaved Beam with 10km edge to edge sectors)

lancake claimed this task.Sep 21 2015, 10:48 AM

A friend of mine who is working on turrets told me this bug does not affect AI turrets. I think AIs skip the raycasting step and just hit what the game already knows they're shooting at.

lancake edited Tester information (Internal use only). (Show Details)Jan 26 2016, 7:53 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Jan 28 2016, 8:49 PM

Finally fixed. Sector border bug is fixed as well

The white <-> green reticle works a lot better now, seems to still suffer from an update issue but the beams themselves seem to work fine. Going to leave it open a bit longer and see if I can find a better hidden issue.

lancake changed Last tested (version) from 0.19435 (Dev) to 0.19551 (Dev).Jan 28 2016, 11:37 PM

Add Comment